Bug 11304 - no support for zlib nonstandard directory
no support for zlib nonstandard directory
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.2.2
All All
: P5 normal
: 3.2.3
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-31 08:12 UTC by David Froger
Modified: 2015-08-16 12:32 UTC (History)
0 users

See Also:


Attachments
support for zlib in nonstandard directory (275 bytes, patch)
2015-05-31 08:12 UTC, David Froger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Froger 2015-05-31 08:12:35 UTC
Created attachment 11110 [details]
support for zlib in nonstandard directory

Hello,

I want to use zlib in a nonstandard directory:

    ./configure LDFLAGS=-L/nonstandard/zlib
    make

But this yields to this link step:

    gcc -g -O2 -Wall -W -o ccache <objects> -lz -L/nonstandard/zlib  -lm

As -lz is given before -L/nonstandard/zlib, -L/nonstandard/zlib is ignored.

The correct link step would be:

    gcc -g -O2 -Wall -W -o ccache <objects> -L/nonstandard/zlib -lz -lm

The attached patch modify configure.ac in such a way.

Best regards,
David
Comment 1 Joel Rosdahl 2015-06-01 20:10:45 UTC
Thanks, committed in 0220de9c8ebfb18caae2ac1aa163d060e98ceade.
Comment 2 Joel Rosdahl 2015-08-16 12:32:44 UTC
Included in 3.2.3.